/*
 * The FUJABA ToolSuite project:
 *
 *   FUJABA is the acronym for 'From Uml to Java And Back Again'
 *   and originally aims to provide an environment for round-trip
 *   engineering using UML as visual programming language. During
 *   the last years, the environment has become a base for several
 *   research activities, e.g. distributed software, database
 *   systems, modelling mechanical and electrical systems and
 *   their simulation. Thus, the environment has become a project,
 *   where this source code is part of. Further details are avail-
 *   able via http://www.fujaba.de
 *
 *      Copyright (C) 1997-2004 Fujaba Development Group
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free
 *   Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *   MA 02111-1307, USA or download the license under
 *   http://www.gnu.org/copyleft/lesser.html
 *
 * WARRANTY:
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Lesser General Public License for more details.
 *
 * Contact adress:
 *
 *   Fujaba Management Board
 *   Software Engineering Group
 *   University of Paderborn
 *   Warburgerstr. 100
 *   D-33098 Paderborn
 *   Germany
 *
 *   URL  : http://www.fujaba.de
 *   email: info@fujaba.de
 *
 */
package de.uni_paderborn.fujaba.usecase.unparse;

import de.uni_paderborn.fujaba.uml.unparse.UMDiagram;


/**
 * Class for displaying a {@link de.uni_paderborn.fujaba.usecase.UsecaseDiagram} on screen.
 *
 * @author    $Author: schneider $
 * @version   $Revision: 1.13 $
 * @see       de.uni_paderborn.fujaba.usecase.UsecaseDiagram
 */
public class UMUsecaseDiagram extends UMDiagram
{

   /*
    *  public FSAObject create (FSAObject parent, LogicUnparseInterface incr)
    *  {
    *  / entry is the name by which this component can be found
    *  / (along with the parent id) again in the UMLIncr
    *  FSALayeredPane layeredPane = new FSALayeredPane (incr, getMainFsaName(), null);
    *  /layout should only set all Components' size to their preferred size
    *  layeredPane.setLayout (new NoLayout (false));
    *  return layeredPane;
    *  }
    */
}

/*
 * $Log: UMUsecaseDiagram.java,v $
 * Revision 1.13  2004/10/20 17:50:29  schneider
 * Introduction of interfaces for class diagram classes
 *
 */
